## augustus 3.4.0+dfsg2

=== Makefile ===
#
# Makefile for Augustus
#
include common.mk

all:
	mkdir -p bin
	cd src && ${MAKE}
	cd auxprogs && ${MAKE}

clean:
	cd src && ${MAKE} clean
	cd auxprogs && ${MAKE} clean
	cd tests/examples && ./testcases.py --clean
	tests/auxprogs/bam2wig/test_bam2wig.py --clean

INSTALLDIR = /opt/augustus-$(AUGVERSION)

install:
	install -d $(INSTALLDIR)
	cp -a config bin scripts $(INSTALLDIR)
	ln -sf $(INSTALLDIR)/bin/augustus /usr/local/bin/augustus
	ln -sf $(INSTALLDIR)/bin/etraining /usr/local/bin/etraining
	ln -sf $(INSTALLDIR)/bin/prepareAlign /usr/local/bin/prepareAlign
	ln -sf $(INSTALLDIR)/bin/fastBlockSearch /usr/local/bin/fastBlockSearch
	if [ -f $(INSTALLDIR)/bin/load2db ] ; then ln -sf $(INSTALLDIR)/bin/load2db /usr/local/bin/load2db ; fi	
	if [ -f $(INSTALLDIR)/bin/getSeq ] ; then ln -sf $(INSTALLDIR)/bin/getSeq /usr/local/bin/getSeq ; fi

# for internal purposes:
release:
	find . -name "*~" | xargs rm -f
	rm .travis.yml
	rm -rf .git
	rm -rf .github
	rm -f src/makedepend.pl
	cd docs/tutorial2015/results; ls | grep -v do.sh | grep -v README | xargs rm; cd -
	rm -r auxprogs/utrrnaseq/input/human-chr19
	rm -r docs/tutorial-cgp/results/cactusout
	make clean all
	rm config/species/generic/*.pbl
	cd src/parser; rm Makefile; cd -
	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus-$(AUGVERSION)

test:
	cd tests/examples && ./testcases.py --compare --html
	tests/auxprogs/bam2wig/test_bam2wig.py --compare --html

unit_test:
	cd src && ${MAKE} unittest
	cd src/unittests && ./unittests

# remove -static from src/Makefile for MAC users
# remove -g -ggdb from CXXFLAGS

=== auxprogs/Makefile ===
# Makefile for auxprogs

all:
	cd aln2wig; make;
	cd bam2hints; make;
	cd compileSpliceCands; make;
	cd filterBam; make;
	cd homGeneMapping; make;
	cd joingenes; make;
	cd utrrnaseq/Debug; make all;
	cd bam2wig; make;

clean:
	cd aln2wig; make clean;
	cd bam2hints; make clean;
	cd compileSpliceCands; make clean;
	cd filterBam; make clean;
	cd homGeneMapping; make clean;
	cd joingenes; make clean;
	cd utrrnaseq/Debug; make clean;
	cd bam2wig; make clean;

=== src/Makefile ===
#
# Makefile for Augustus
#
include ../common.mk

# set TESTING to false if you don't need testing for the comparative gene prediction mode (CGP) or
# the required libraries 
# libboost-serialization-dev 
# are not available
TESTING = true

CXX?=g++

# Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
#          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
#        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
CXXFLAGS := -Wall -Wno-sign-compare -pedantic -O3 -std=c++11 ${CXXFLAGS}#-DDEBUG -g -ggdb -pg -DDEBUG_STATES

ifeq (,$(findstring $(ZIPINPUT),0 false False FALSE))  # if ZIPINPUT is not defined or is something else than 0, false, False or FALSE
	CPPFLAGS += -DZIPINPUT
	LIBS    = -lboost_iostreams
endif

INCLS	= -I../include

OBJS	= genbank.o properties.o pp_profile.o pp_hitseq.o pp_scoring.o statemodel.o namgene.o \
 types.o gene.o evaluation.o motif.o geneticcode.o hints.o extrinsicinfo.o projectio.o \
 intronmodel.o exonmodel.o igenicmodel.o utrmodel.o merkmal.o vitmatrix.o lldouble.o mea.o graph.o \
 meaPath.o exoncand.o randseqaccess.o fasta.o ncmodel.o
ifeq (,$(findstring $(COMPGENEPRED),0 false False FALSE))  # if COMPGENEPRED is not defined or is something else than 0, false, False or FALSE
	SQLITE   ?= true
	MYSQL    ?= true
	CPPFLAGS += -DCOMPGENEPRED
	OBJS += parser/parse.o scanner/lex.o genomicMSA.o geneMSA.o contTimeMC.o codonevo.o compgenepred.o phylotree.o orthograph.o orthoexon.o alignment.o speciesgraph.o codonMSA.o train_logReg_param.o tokenizer.o
	LIBS += -lgsl -lgslcblas # for matrix exponentiation that is required in comparative gene finding
	LIBS += -llpsolve55 -lcolamd -ldl # for mixed integer linear programming (alignment.cc)
	INCLS += -I/usr/include/lpsolve
endif

ifeq (,$(findstring $(TESTING),0 false False FALSE))  # if TESTING is not defined or is something else than 0, false, False or FALSE
	CPPFLAGS += -DTESTING
	LIBS += -lboost_serialization # for serialization/deserialization
endif

DUMOBJS = dummy.o
TOBJS	= commontrain.o igenictrain.o introntrain.o exontrain.o utrtrain.o # contentmodel.o baumwelch.o
PROGR	= augustus etraining prepareAlign fastBlockSearch pp_simScore
INFO    = cxxflags

ifneq (,$(findstring $(MYSQL),1 true True TRUE)) # if MYSQL is defined and contains 1, true, True or TRUE
	# MySQL support
	# replace RUNTIME_LIBPATH with your own run-time libpath if mysql++ is not installed system-wide, e.g.
	# RUNTIME_LIBPATH = -Wl,-rpath=~/augustus/trunks/mysql++/mysql++-3.1.0/lib
	RUNTIME_LIBPATH =
	INCLS    += -I/usr/include/mysql -I/usr/include/mysql++ # the path to mysql++ may have to be adjusted
	LIBS     += -lmysqlclient -lmysqlpp ${RUNTIME_LIBPATH} # -L/usr/local/lib/libmysqlpp.so.3.1.0
	CPPFLAGS += -DM_MYSQL
	PROGR    += load2db getSeq
endif

ifneq (,$(findstring $(SQLITE),1 true True TRUE)) # if SQLITE is defined and contains 1, true, True or TRUE
	# SQLite support
	LIBS      += -lsqlite3
	OBJS      += sqliteDB.o
	CPPFLAGS  += -DM_SQLITE
	PROGR     += load2sqlitedb getSeq
endif

all: $(OBJS) $(TOBJS) $(DUMOBJS) $(PROGR) info

.SUFFIXES:
.SUFFIXES: .cc .o .so
.PHONY: googletest

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(INCLS)

augustus: augustus.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp augustus ../bin/

etraining: etraining.cc $(TOBJS) $(OBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp etraining ../bin/

evaluate: evaluate.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)

fastBlockSearch: fastBlockSearch.cc pp_fastBlockSearcher.o \
	types.o properties.o geneticcode.o pp_profile.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp fastBlockSearch ../bin/

pp_simScore: pp_simscore.cc fasta.o types.o properties.o geneticcode.o pp_profile.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp pp_simScore ../bin/

prepareAlign: pp_prepare_align.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^
	cp prepareAlign ../bin/

load2db: load2db.cc fasta.o hints.o types.o properties.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2db ../bin/

load2sqlitedb: load2sqlitedb.cc fasta.o hints.o types.o properties.o lldouble.o sqliteDB.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2sqlitedb ../bin/

getSeq: getSeq.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp getSeq ../bin/

espoca: espoca.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp espoca ../bin/

info:
	echo "$(CXXFLAGS) $(CPPFLAGS)" > $(INFO)

clean:
	rm -f ../bin/* $(PROGR) $(OBJS) $(DUMOBJS) $(TOBJS) pp_fastBlockSearcher.o $(INFO)
	cd googletest && ${MAKE} clean
	cd unittests && ${MAKE} clean

tidy: clean
	rm -f *~ *.o *.rej *.orig ../include/*~ ../include/*.orig ../include/*.rej $(INFO)
	cd googletest && ${MAKE} tidy

googletest:
	cd googletest && ${MAKE}

unittest: googletest
	cd unittests && ${MAKE}

augustus.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/codonMSA.hh \
	augustus.cc

dummy.o : \
	../include/exonmodel.hh \
	../include/igenicmodel.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	dummy.cc

etraining.o : \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	etraining.cc

evaluate.o : \
	../include/evaluation.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluate.cc

evaluation.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluation.cc

exonmodel.o : \
	../include/exonmodel.hh \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exonmodel.cc

exontrain.o : \
	../include/commontrain.hh \
	../include/exonmodel.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exontrain.cc

extrinsicinfo.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	extrinsicinfo.cc

genbank.o : \
	../include/genbank.hh \
	../include/fasta.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	genbank.cc

gene.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	gene.cc

geneticcode.o : \
	../include/geneticcode.hh \
	../include/types.hh \
	geneticcode.cc

hints.o : \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/types.hh \
	hints.cc

igenicmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenicmodel.cc

igenictrain.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenictrain.cc

intronmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	intronmodel.cc

introntrain.o : \
	../include/commontrain.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	introntrain.cc

lldouble.o : \
	../include/lldouble.hh \
	lldouble.cc

logdoubletest.o : \
	../include/lldouble.hh \
	logdoubletest.cc

motif.o : \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	motif.cc

namgene.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/mea.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	../include/exoncand.hh \
	namgene.cc

projectio.o : \
	../include/projectio.hh \
	projectio.cc

properties.o : \
	../include/lldouble.hh \
	../include/properties.hh \

=== auxprogs/bam2hints/Makefile ===
#	Makefile corresponding to BAM2HINTS
#	
# 	NOTE:
#	a) "-g" option allows for debugging
#	b) libbamtools.a and lz library are used during the linking process
#
# 	Created: 14-December-2011
#	Last modified:  09-October-2015 by Katharina J. Hoff

# Variable definition
INCLUDES = -I/usr/include/bamtools
LIBS = -lbamtools -lz
SOURCES = bam2hints.cc 
OBJECTS = $(SOURCES:.cc=.o)
CXXFLAGS += -Wall -O2 # -g -p -g -ggdb 

LINK.cc ?= g++

# Recipe(s)
# $@: full target name of current target. 
# $<: .c file of target. 
bam2hints : $(OBJECTS) 
	$(LINK.cc) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS)
	mkdir -p ../../bin
	cp bam2hints ../../bin

all:$(OBJECTS) # Compiles each foo.cc into foo.o

bam2hints.o : $(SOURCES)
	$(LINK.cc) $(CXXFLAGS) $(CPPFLAGS) -c $< -o $@ $(INCLUDES) 

clean:
	rm -f bam2hints.o bam2hints ../../bin/bam2hints

=== auxprogs/bam2wig/Makefile ===
# Makefile of bam2wig
#
# NOTE: install libhts-dev >= 1.10 or modify the variable TOOLDIR according to where your htslib software has been installed
# 
# License: Artistic License, see file LICENSE.TXT or 
#          https://opensource.org/licenses/artistic-license-1.0
#

ifdef TOOLDIR
	DEF_TOOLDIR=1
else
	TOOLDIR=$(HOME)/tools
	# replace with your own parent directory of htslib
	# if TOOLDIR is not specified as environment variable
	# and libhts-dev is not installed
endif

PROGRAM = bam2wig
SOURCES = $(PROGRAM)
OBJECTS = $(SOURCES:.c=.o)

ifneq ($(wildcard ${TOOLDIR}/htslib/htslib/.),) # if TOOLDIR exists and contains htslib
	INCLUDES=-I$(TOOLDIR)/htslib -I$(TOOLDIR)/htslib/htslib
	HTSLIBS=-L$(TOOLDIR)/htslib -Wl,-rpath,$(TOOLDIR)/htslib -lhts -lcurses -lm -lz -lpthread -lcurl -lssl -lcrypto -lbz2 -llzma
	HTSERRHINT="Check if the installed HTSlib is of version 1.10 or higher - see README.txt"
else
	INCLUDES=-I/usr/include/htslib
	HTSLIBS=-lhts -lz -lpthread
	ifdef DEF_TOOLDIR
		HTSERRHINT="There is no htslib folder in directory $(TOOLDIR) \n"
	endif
	HTSERRHINT:=$(HTSERRHINT)"Check if HTSlib is installed and of version 1.10 or higher - see README.txt"
endif

CFLAGS:=-Wall -O2 $(CFLAGS)
CC?=gcc

.PHONY : clean test	

$(PROGRAM) : bam2wig.o
	$(CC) $(CFLAGS)	$(CPPFLAGS) $(LDFLAGS) $^ -o $@ $(HTSLIBS)
	mkdir -p ../../bin
	cp bam2wig ../../bin/bam2wig

bam2wig.o : bam2wig.c
	-$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@ $(INCLUDES)
	@if [ ! -f $@ ]; then echo $(HTSERRHINT); exit 1; fi

clean:
	rm -f $(OBJECTS) bam2wig.o bam2wig
	rm -f ../../bin/bam2wig
	cd ../..; tests/auxprogs/bam2wig/test_bam2wig.py --clean
	
test:   $(PROGRAM)
	cd ../..; tests/auxprogs/bam2wig/test_bam2wig.py --compare --html

=== auxprogs/compileSpliceCands/Makefile ===
CC?=gcc

compileSpliceCands : compileSpliceCands.o list.h list.o
	$(CC) $(CFLAGS)	$(CPPFLAGS) $(LDFLAGS) -o compileSpliceCands compileSpliceCands.o list.o
	cp compileSpliceCands ../../bin/compileSpliceCands

compileSpliceCands.o : compileSpliceCands.c 
	$(CC) -Wall -pedantic -ansi $(CFLAGS) $(CPPFLAGS) -c compileSpliceCands.c

all : compileSpliceCands

clean : 
	rm -f compileSpliceCands compileSpliceCands.o ../../bin/compileSpliceCands list.o

=== auxprogs/filterBam/Makefile ===
#	Makefile for filterBam.cc and filterBam.tex
#
# 	Created: 28-February-2012
#	Last modified: 09-May-2018

all: 
	(cd src;make)

clean:
	(cd src; make clean;)

=== auxprogs/homGeneMapping/Makefile ===
#	Makefile for homGeneMapping

.PHONY : clean

all:
	(cd src; make)

clean:
	cd src; make clean
	cd ../..; tests/auxprogs/homGeneMapping/test_homGeneMapping.py --clean

test:   all
	cd ../..; tests/auxprogs/homGeneMapping/test_homGeneMapping.py --compare --html

=== auxprogs/joingenes/Makefile ===
CXX?=g++
CXXFLAGS+=-Wall -std=gnu++0x

all: joingenes

joingenes: joingenes.o jg_transcript.o jg_ios.o jg_transcript.h jg_ios.h
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) joingenes.o jg_transcript.o jg_ios.o -o joingenes
	mkdir -p ../../bin/
	cp joingenes ../../bin/

joingenes.o: joingenes.cpp jg_transcript.h jg_ios.h
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) joingenes.cpp

jg_transcript.o: jg_transcript.cpp jg_transcript.h
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) jg_transcript.cpp

jg_ios.o: jg_ios.cpp jg_ios.h jg_transcript.h
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) jg_ios.cpp

clean:
	rm -rf *.o joingenes; rm -rf ../../bin/joingenes

=== src/unittests/Makefile ===
include ../../common.mk
AINC = ../../include
CXX ?= g++
CXXFLAGS := -std=c++11 -Wall -pedantic -pthread ${CXXFLAGS}
LDFLAGS = -L../googletest -lgtest -lgtest_main -lgsl -lgslcblas -lmysqlclient -lmysqlpp \
	-lsqlite3 -llpsolve55 -lcolamd -ldl -lsqlite3 -lboost_iostreams
INCLS	+= -I$(AINC) -isystem ../googletest/include/ -I/usr/include/mysql -I/usr/include/mysql++
OBJS    = ../lldouble.o ../fasta.o ../contTimeMC.o ../codonevo.o \
	../properties.o ../types.o \
	../geneticcode.o ../phylotree.o ../geneMSA.o ../alignment.o \
	../orthoexon.o ../exoncand.o ../intronmodel.o ../introntrain.o \
	../merkmal.o ../motif.o ../namgene.o ../gene.o ../pp_profile.o \
	../pp_scoring.o ../pp_hitseq.cc ../vitmatrix.o \
	../extrinsicinfo.o ../hints.o ../igenicmodel.o ../igenictrain.o \
	../statemodel.o ../utrmodel.o ../utrtrain.o ../exontrain.o ../exonmodel.o \
	../commontrain.o ../ncmodel.o ../evaluation.o ../projectio.o \
	../mea.o ../meaPath.o ../speciesgraph.o ../graph.o ../randseqaccess.o \
	../sqliteDB.o ../genbank.o \
	../scanner/lex.o ../parser/parse.o \

# Link all tests to a single test binary
unittests: lldouble_unittest.o fasta_unittest.o evo_unittest.o codonevo_unittest.o alignment_unittest.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(INCLS) \
	lldouble_unittest.o fasta_unittest.o evo_unittest.o codonevo_unittest.o alignment_unittest.o \
	$(OBJS) $(LDFLAGS) -o unittests
#evo_unittest.o \
# Here follows each individual Unit Test
lldouble_unittest.o: lldouble_unittest.cc $(AINC)/lldouble.hh
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(INCLS) -c lldouble_unittest.cc

fasta_unittest.o: fasta_unittest.cc $(AINC)/fasta.hh
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(INCLS) -c fasta_unittest.cc

evo_unittest.o: evo_unittest.cc $(AINC)/contTimeMC.hh
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(INCLS) -c evo_unittest.cc

codonevo_unittest.o: codonevo_unittest.cc $(AINC)/contTimeMC.hh $(AINC)/codonevo.hh 
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(INCLS) -c codonevo_unittest.cc

alignment_unittest.o: alignment_unittest.cc $(AINC)/alignment.hh
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(INCLS) -c alignment_unittest.cc

# execute all tests: run test binary
test: unittests
	./unittests

clean:
	rm -f *.o unittests

=== auxprogs/filterBam/src/Makefile ===
#	Makefile for filterBam
#
# 	Created: 11-November-2011
#	Last modified: 09-May-2018


SOURCES = filterBam.cc MatePairs.cc getReferenceName.cc initOptions.cc SingleAlignment.cc \
			printElapsedTime.cc sumMandIOperations.cc sumDandIOperations.cc PairednessCoverage.cc
PROGRAM = filterBam
OBJECTS = $(SOURCES:.cc=.o)
BAMTOOLS = /usr/include/bamtools
INCLUDES = -I$(BAMTOOLS) -Iheaders -I./bamtools
LIBS = -lbamtools -lz
CXXFLAGS := -std=c++0x ${CXXFLAGS}
VPATH = functions
LINK.cc ?= g++

all : $(PROGRAM) $(OBJECTS) CHECKBAM BIN

BIN : $(PROGRAM) CHECKBAM
	mkdir -p ../../../bin
	mv filterBam ../../../bin/filterBam

CHECKBAM:
	@if [ -z "${BAMTOOLS}" ]; then \
		echo '[Makefile]: $${BAMTOOLS} has not been set.'; \
		exit 101; \
	elif [ "${BAMTOOLS}" ]; then \
		echo "filterBam compiled with BAMTOOLS=${BAMTOOLS}"; \
	fi

$(PROGRAM) : $(OBJECTS)
	$(LINK.cc) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS)

$(OBJECTS) : %.o:%.cc
	$(LINK.cc) $(CXXFLAGS) $(CPPFLAGS) -c $^ -o $@ $(INCLUDES)


clean:
	rm -f *~ $(OBJECTS)
	rm -f filterBam
	rm -f ../../../bin/filterBam

=== auxprogs/homGeneMapping/src/Makefile ===
#
# Makefile for homGeneMapping

include ../../../common.mk

# set SQLITE = false in common.mk to disable the usage of the SQLite library, option --dbaccess will not be available
# set BOOST = false in common.mk to disable the usage of the Boost graph library, the option --printHomologs will not be available
BOOST ?= true

ifeq (,$(findstring $(COMPGENEPRED),0 false False FALSE)) # if COMPGENEPRED is not defined or not contains 0, false, False or FALSE
# comment this flag to disable database access for retrieval of hints, the option --dbaccess will not be available
	SQLITE ?= true
endif

CXX   ?= g++

# Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
#          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
#        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
CXXFLAGS := -Wall -Wno-sign-compare -ansi -pedantic -std=c++0x -pthread -O2 ${CXXFLAGS}

INCLS	= -I../include
LIBS	=
OBJS	= gene.o genome.o

ifeq (,$(findstring $(BOOST),0 false False FALSE)) # if BOOST is not defined or not contains 0, false, False or FALSE
	CPPFLAGS += -DBOOST
	INCLS +=  # add the boost include path here, if boost ist not installed system-wide
endif

ifneq (,$(findstring $(SQLITE),1 true True TRUE)) # if SQLITE is defined and contains 1, true, True or TRUE
	LIBS    += -lsqlite3 # add the sqlite library path here, if sqlite is not install system-wide
	OBJS    += sqliteDB.o
	CPPFLAGS  += -DM_SQLITE
endif

all: homGeneMapping

.SUFFIXES:
.SUFFIXES: .cc .o .so

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $< $(INCLS)

homGeneMapping: main.cc $(OBJS)
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	mkdir -p ../../../bin/
	cp homGeneMapping ../../../bin/homGeneMapping

clean:
	rm -f homGeneMapping $(OBJS)
	rm -f ../../../bin/homGeneMapping

main.o : \
	../include/genome.hh \
	../include/projectio.hh \
	main.cc

gene.o : \
	../include/gene.hh \
	../include/projectio.hh \
	gene.cc

genome.o : \
	../include/genome.hh \
	../include/bitmasking.hh \
	../include/gene.hh \
	genome.cc

sqliteDB.o: \
        ../include/sqliteDB.hh \
        sqliteDB.cc

=== debian/changelog ===
augustus (3.4.0+dfsg2-2) unstable; urgency=medium

  * Fix dversionmangle to allow for +dfsgX suffixes.
  * Run tests without --compare. This hopefully fixes FTBFS due to different
    results on different platforms, not matching the reference.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 03 Jan 2021 16:10:48 +0100

augustus (3.4.0+dfsg2-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sascha Steinbiss ]
  * Remove obsolete directories from Files-Excluded.
  * Re-introduce tutorials in orig tarball.
  * Add Suggests for dependencies of the scripts bundled with AUGUSTUS.
  * Add/remove some content to be installed.
  * Extend doc-base files.
  * Add some new build-deps and remove old libbam-dev build-dep.
  * Remove Build-Using mechanics for libbam-dev.
  * Use patches prepared by upstream.
  * Adjust changelog location.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 28 Dec 2020 22:33:43 +0100

augustus (3.3.3+dfsg-4) unstable; urgency=medium

  * Drop conflicting build-dep on libcurl4-nss-dev.
    Closes: 971792
  * Use debhelper 13.
  * Add Rules-Requires-Root: no.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Oct 2020 13:20:31 +0200

augustus (3.3.3+dfsg-3) unstable; urgency=medium

  * Use debhelper-compat.
  * Bump Standards-Version.
  * Add EDAM and citations (Thanks Matúš Kalaš).
  * Do yamllint on metadata (Thanks Steffen Moeller).

 -- Sascha Steinbiss <satta@debian.org>  Fri, 17 Apr 2020 11:31:53 +0200

=== debian/control ===
Source: augustus
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsqlite3-dev,
               libboost-iostreams-dev,
               zlib1g-dev,
               libgsl-dev,
               liblpsolve55-dev,
               libbamtools-dev,
               libbz2-dev,
               lzma-dev,
               libhts-dev,
               libncurses5-dev,
               libboost-serialization-dev,
               libssl-dev,
               libmysql++-dev,
               asciidoctor,
               python3,
               samtools
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/augustus
Vcs-Git: https://salsa.debian.org/med-team/augustus.git
Homepage: https://bioinf.uni-greifswald.de/augustus/

Package: augustus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         augustus-data
Recommends: samtools
# For the bundled scripts.
Suggests: cdbfasta,
          diamond-aligner,
          libfile-which-perl,
          libparallel-forkmanager-perl,
          libyaml-perl,
          libdbd-mysql-perl,
          python3-biopython
Description: gene prediction in eukaryotic genomes
 AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
 that is based on a generalized hidden Markov model (HMM), a probabilistic
 model of a sequence and its gene structure. After learning gene structures
 from a reference annotation, AUGUSTUS uses the HMM to recognize genes in a new
 sequence and annotates it with the regions of identified genes. External hints,
 e.g. from RNA sequencing, EST or protein alignments etc. can be used to guide
 and improve the gene finding process. The result is the set of most likely gene
 structures that comply with all given user constraints, if such gene
 structures exist.
 AUGUSTUS already includes prebuilt HMMs for many species, as well as scripts
 to train custom models using annotated genomes.

Package: augustus-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for AUGUSTUS
 This package contains pre-trained species models and other required
 architecture-independent data files for the AUGUSTUS gene finder. These are
 needed to identify gene structures in these or related organisms.

Package: augustus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation files for AUGUSTUS
 This package contains documentation for AUGUSTUS: a comprehensive manual-style
 README both for AUGUSTUS in general as well as for its comparative gene
 prediction (cgp) mode, as well as a HTML tutorial.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export AUGUSTUS_CONFIG_PATH=$(CURDIR)/config
.PHONY: bam2hints homGeneMapping joingenes

%:
	dh $@

bin:
	mkdir -p bin

aln2wig: bin
		$(MAKE) -C auxprogs/aln2wig

bam2hints: bin
	$(MAKE) -C auxprogs/bam2hints

bam2wig: bin
		$(MAKE) -C auxprogs/bam2wig

compileSpliceCands: bin
	$(MAKE) -C auxprogs/compileSpliceCands

filterBam: bin
	$(MAKE) -C auxprogs/filterBam

homGeneMapping: bin
	$(MAKE) -C auxprogs/homGeneMapping/src

joingenes: bin
	$(MAKE) -C auxprogs/joingenes

override_dh_auto_clean:
	$(MAKE) -C auxprogs/bam2hints clean
	$(MAKE) -C auxprogs/homGeneMapping clean
	$(MAKE) -C auxprogs/joingenes clean
	$(MAKE) -C auxprogs/aln2wig clean
	$(MAKE) -C auxprogs/bam2wig clean
	$(MAKE) -C auxprogs/compileSpliceCands clean
	$(MAKE) -C auxprogs/filterBam clean
	rm -rf bin
	rm -f debian/*substvars
	rm -f debian/mansrc/*.1
	find . -name "__pycache__" | xargs -r rm -r
	find src -name "*.o" | xargs -r rm
	find auxprogs -name "*.o" | xargs -r rm
	rm -f auxprogs/utrrnaseq/Debug/utrrnaseq src/augustus src/etraining src/fastBlockSearch src/getSeq src/load2db src/load2sqlitedb src/pp_simScore src/prepareAlign

override_dh_auto_build: aln2wig bam2hints bam2wig compileSpliceCands filterBam homGeneMapping joingenes
	dh_auto_build
	asciidoctor -a docdate='' -b manpage --destination-dir=debian/mansrc/ mansrc/*adoc

override_dh_installchangelogs:
	dh_installchangelogs -k docs/HISTORY.TXT

override_dh_auto_install:
	mkdir -p         debian/augustus/usr/bin
	install bin/*    debian/augustus/usr/bin
	install auxprogs/bam2wig/bam2wig \
	                 debian/augustus/usr/bin
	install auxprogs/compileSpliceCands/compileSpliceCands \
                     debian/augustus/usr/bin
	install auxprogs/homGeneMapping/src/homGeneMapping \
                     debian/augustus/usr/bin
	install auxprogs/joingenes/joingenes \
	                 debian/augustus/usr/bin
	mkdir -p         debian/augustus/usr/share/augustus
	cp -r scripts    debian/augustus/usr/share/augustus
	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
	rm -rf           debian/augustus/usr/share/augustus/scripts/*.patch \
	                 debian/augustus/usr/share/augustus/scripts/executeTestCGP.py \
	                 debian/augustus/usr/share/augustus/scripts/*.txt
	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
	                 debian/augustus/usr/share/augustus/scripts/*.pl*
	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
	cp README*       debian/augustus-doc/usr/share/doc/augustus
	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus
	cp docs/RUNNING* debian/augustus-doc/usr/share/doc/augustus
	cp docs/README*  debian/augustus-doc/usr/share/doc/augustus
	cp docs/EXONCAND-MSAS-CGP.md \
	                 debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial \
	                 debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial-cgp \
	                 debian/augustus-doc/usr/share/doc/augustus
	mkdir -p         debian/augustus-data/usr/share/augustus
	cp -r config     debian/augustus-data/usr/share/augustus
	find             debian/augustus-data/usr/share/augustus \
	  -type f -exec chmod -x {} \;

override_dh_compress:
	dh_compress -Xtutorial

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]?//g,repack,compression=xz" \
   https://github.com/Gaius-Augustus/Augustus/releases .*/archive/v?(\d[.\d]+)[-tag0-9]*@ARCHIVE_EXT@

## augustus 3.5.0%2Bdfsg

=== auxprogs/bam2wig/Makefile ===
# Makefile of bam2wig
#
# NOTE: install libhts-dev >= 1.10
#  or modify the variable HTSLIB_INSTALL_DIR according to where your htslib software has been installed
#  or set variables INCLUDE_PATH_HTSLIB and LIBRARY_PATH_HTSLIB that point to hts header files and hts library files respectively.
#
# License: Artistic License, see file LICENSE.TXT or
#          https://opensource.org/licenses/artistic-license-1.0
#

include ../../common.mk

CC ?= gcc
CFLAGS := -Wall -O2 $(CFLAGS)

HTSERRHINT=""
ifndef INCLUDE_PATH_HTSLIB
	# set INCLUDE_PATH_HTSLIB and LIBRARY_PATH_HTSLIB
	# or HTSLIB_INSTALL_DIR if neither of these is specified as environment variable
	# and libhts-dev is not installed
	# keep compatibility with old versions still using TOOLDIR
  ifdef TOOLDIR
	HTSLIB_INSTALL_DIR = $(TOOLDIR)/htslib
  endif
	HTSLIB_INSTALL_DIR ?= $(HOME)/tools/htslib
  ifneq ($(wildcard ${HTSLIB_INSTALL_DIR}/include/htslib/.),) # if HTSLIB_INSTALL_DIR exists and contains include/htslib
	INCLUDE_PATH_HTSLIB = -I$(HTSLIB_INSTALL_DIR)/include/htslib
	LIBRARY_PATH_HTSLIB = -L$(HTSLIB_INSTALL_DIR)/lib -Wl,-rpath,$(HTSLIB_INSTALL_DIR)/lib
  else
    ifneq ($(wildcard ${HTSLIB_INSTALL_DIR}/htslib/.),) # if HTSLIB_INSTALL_DIR exists and contains htslib
	INCLUDE_PATH_HTSLIB = -I$(HTSLIB_INSTALL_DIR)/htslib
	LIBRARY_PATH_HTSLIB = -L$(HTSLIB_INSTALL_DIR) -Wl,-rpath,$(HTSLIB_INSTALL_DIR)
    else
	HTSERRHINT="There is no htslib folder in directory $(HTSLIB_INSTALL_DIR) - "
    endif
  endif
endif

# set default include paths:
INCLUDE_PATH_HTSLIB ?= -I/usr/include/htslib -I/usr/local/include/htslib/
HTSERRHINT:=$(HTSERRHINT)"Check if HTSlib is installed and of version 1.10 or higher - see README.md"

INCLS += $(INCLUDE_PATH_HTSLIB)
LDFLAGS += $(LIBRARY_PATH_HTSLIB)
LDLIBS += -lhts
INCLS += $(INCLUDE_PATH_ZLIB)
LDFLAGS += $(LIBRARY_PATH_ZLIB)
LDLIBS += -lz -lpthread

# when using a static hts library, these additional libraries may be required : 
# LDLIBS += -lcurl -lcrypto -llzma -lbz2 -lm -lcurses -lssl

.PHONY: all clean test

all: bam2wig

bam2wig: bam2wig.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
	mkdir -p ../../bin
	cp -f bam2wig ../../bin/bam2wig

bam2wig.o: bam2wig.c
	-$(CC) $(CPPFLAGS) $(CFLAGS) $(INCLS) -c $^
	@if [ ! -f $@ ]; then echo $(HTSERRHINT); exit 1; fi

clean:
	rm -f bam2wig.o bam2wig
	rm -f ../../bin/bam2wig
	if [ -n $(shell which python3) ] ; then cd ../../tests/short && ./execute_test.py --clean bam2wig ; fi

test:   bam2wig
	cd ../../tests/short && ./execute_test.py --compare --html bam2wig

=== auxprogs/homGeneMapping/Makefile ===
#	Makefile for homGeneMapping

.PHONY: all clean test

all:
	(cd src; make)

clean:
	cd src; make clean
	if [ -n $(shell which python3) ] ; then cd ../../tests/short && ./execute_test.py --clean homGeneMapping ; fi

test:	all
	cd ../../tests/short && ./execute_test.py --compare --html homGeneMapping

=== debian/changelog ===
augustus (3.5.0+dfsg-4build7) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Mar 2025 10:41:12 -0500

augustus (3.5.0+dfsg-4build6) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:18:24 +0200

augustus (3.5.0+dfsg-4build5) noble; urgency=medium

  * No change rebuild against fixed libmysql++3t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2024 10:51:14 +0200

augustus (3.5.0+dfsg-4build4) noble; urgency=high

  * No change rebuild against libmysql++3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:12 +0200

augustus (3.5.0+dfsg-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:33:14 +1100

augustus (3.5.0+dfsg-4build2) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:49:22 +0100

augustus (3.5.0+dfsg-4build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:46:05 +0100

augustus (3.5.0+dfsg-4) unstable; urgency=medium

  * Ensure multiple builds can be done in same directory.
    Done by ensuring the directory is cleaned correctly.
    Closes: #1043915

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Nov 2023 08:21:25 +0100

augustus (3.5.0+dfsg-3) unstable; urgency=medium

  * Add patch to fix building with GCC 13.
    Addresses: #1037585

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Jun 2023 18:33:10 +0200

augustus (3.5.0+dfsg-2) unstable; urgency=medium

  * Skip filterBam auxprogs test on s390x.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 21 Nov 2022 00:11:53 +0100

augustus (3.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Cleanup d/copyright from unused Files-Excluded
  * Standards-Version: 4.6.1 (routine-update)
  * Remove RUNPATH from binaries
  * lintian-overrides for false positives

 -- Andreas Tille <tille@debian.org>  Mon, 10 Oct 2022 09:16:46 +0200

augustus (3.4.0+dfsg2-3) unstable; urgency=medium

  * Fix watchfile to work with recent GitHub link structure.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 28 Sep 2021 22:14:24 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                liblpsolve55-dev,
                libbamtools-dev,
                libbz2-dev,
-               lzma-dev,
                libhts-dev,
                libncurses5-dev,
                libboost-serialization-dev,
@@ -19,8 +18,9 @@
                libmysql++-dev,
                asciidoctor,
                python3,
-               samtools
-Standards-Version: 4.5.1
+               samtools,
+               chrpath
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/augustus
 Vcs-Git: https://salsa.debian.org/med-team/augustus.git
@@ -56,6 +56,7 @@
 Package: augustus-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: data files for AUGUSTUS
  This package contains pre-trained species models and other required
  architecture-independent data files for the AUGUSTUS gene finder. These are
@@ -65,6 +66,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: documentation files for AUGUSTUS
  This package contains documentation for AUGUSTUS: a comprehensive manual-style
  README both for AUGUSTUS in general as well as for its comparative gene
